/**
 *
 */
package de.intevation.gnv.artifactdatabase.objects;

import java.util.Collection;

import org.w3c.dom.Node;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 *
 */
public interface ArtifactDescription {

    /**
     * @return the currentUI
     */
    public abstract Node getCurrentUI();

    /**
      @param currentUI the currentUI to set
     */
    public abstract void setCurrentUI(Node currentUI);

    /**
      @param currentOut the currentOut to set
     */
    public abstract void setCurrentOut(Node currentOut);

    /**
     * @return the reachableStates
     */
    public abstract Collection<String> getReachableStates();

    /**
      @param reachableStates the reachableStates to set
     */
    public abstract void setReachableStates(Collection<String> reachableStates);

    /**
     * @return the currentState
     */
    public abstract String getCurrentState();

    /**
      @param currentState the currentState to set
     */
    public abstract void setCurrentState(String currentState);

}